/// <reference types="node" />
import { EventEmitter } from 'events';
import { Descriptor } from './FileSystem';
export declare class PathCollector extends EventEmitter {
    private readonly path;
    private readonly log;
    protected constructor(path: string);
    static from(cwd?: string): PathCollector;
    collect(patterns: string[], recursive?: boolean): Promise<Descriptor[]>;
    resolve(pattern: string): Promise<Descriptor[]>;
}
//# sourceMappingURL=PathCollector.d.ts.map