"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateResolver = void 0;
var FileResolver_1 = require("./FileResolver");
var RecursiveStrategy_1 = require("./RecursiveStrategy");
function CreateResolver(cwd, strategies) {
    if (strategies === void 0) { strategies = [RecursiveStrategy_1.RecursiveStrategy]; }
    return new FileResolver_1.FileResolver(cwd, strategies);
}
exports.CreateResolver = CreateResolver;
//# sourceMappingURL=CreateResolver.js.map