export interface FileResolverStrategy {
    (filename: string, cwd: string): Promise<string[] | null>;
}
export declare class FileResolver {
    readonly cwd: string;
    private readonly strategies;
    private readonly log;
    constructor(cwd: string, strategies: FileResolverStrategy[]);
    static from(cwd: string, strategies: FileResolverStrategy[]): FileResolver;
    find(filename: string): Promise<string[]>;
}
//# sourceMappingURL=FileResolver.d.ts.map